[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'RttiUtils' (#fcl)

# TFindComponentEvent

Event callback to locate a component instance

## Declaration

Source position: rttiutils.pp line 138

`type TFindComponentEvent = function(`
`const Name: string`
`):TComponent;`

## Arguments

`Name` |  | Name path of component to search for

## Function result

Component instance

## Description

TFindComponentEvent should return the component instance for the component with name path Name. The name path should be relative to the global list of loaded components.

## See also

UpdateStoredList |  | Update a stringlist with object references
FindGlobalComponentCallBack |  | Callback used when component references must be resolved.